<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="host"></div>
    <script>
        const host = document.querySelector("#host");
        
        const df = document.createDocumentFragment();

        const div = document.createElement('div');
        const h1 = document.createElement('h1');
        const p = document.createElement('p');

        h1.textContent = 'hola';
        p.textContent = '¿Cómo estas?';

            div.appendChild(h1);
            div.appendChild(p);

            df.appendChild(div);

            host.appendChild(df);
    </script>
</body>
</html>